Package org.bukkit.entity

# Enum Class ArmorStand.LockType

java.lang.Object
java.lang.Enum<ArmorStand.LockType>
org.bukkit.entity.ArmorStand.LockType

All Implemented Interfaces:
  `Serializable`, `Comparable<ArmorStand.LockType>`, `Constable`

Enclosing interface:
  ArmorStand

public static enum ArmorStand.LockType extends Enum<ArmorStand.LockType>
Represents types of locking mechanisms for ArmorStand equipment.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDING`
Prevents adding the respective equipment - players cannot replace the empty slot with a new item, but can swap items between themselves and the ArmorStand.
`ADDING_OR_CHANGING`
Prevents adding or changing the respective equipment - players cannot replace the empty slot with a new item or swap the items between themselves and the ArmorStand.
`REMOVING_OR_CHANGING`
Prevents removing or changing the respective equipment - players cannot take an item from the slot or swap the items between themselves and the ArmorStand.

## Method Summary

Modifier and Type
Method
Description
`static ArmorStand.LockType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ArmorStand.LockType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADDING_OR_CHANGING

public static final ArmorStand.LockType ADDING_OR_CHANGING
Prevents adding or changing the respective equipment - players cannot replace the empty slot with a new item or swap the items between themselves and the ArmorStand.

### REMOVING_OR_CHANGING

public static final ArmorStand.LockType REMOVING_OR_CHANGING
Prevents removing or changing the respective equipment - players cannot take an item from the slot or swap the items between themselves and the ArmorStand.

### ADDING

public static final ArmorStand.LockType ADDING
Prevents adding the respective equipment - players cannot replace the empty slot with a new item, but can swap items between themselves and the ArmorStand.

## Method Details

### values

public static ArmorStand.LockType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ArmorStand.LockType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null